Description: let tests fail if the executable needed for them is not available
Author: Paul Gevers <elbrus@debian.org>
Forwarded: not yet

--- a/tests/scripts/mk_tests.sh
+++ b/tests/scripts/mk_tests.sh
@@ -47,6 +47,9 @@ mk_test ()
 FORMAT="$1"
 shift 1
 
+# check if pasdoc is on the path and fail properly if not
+which pasdoc
+
 # Run tests ----------------------------------------
 
 # Make a test of many units with normal pasdoc command-line.
--- a/tests/scripts/validate_html.sh
+++ b/tests/scripts/validate_html.sh
@@ -11,6 +11,9 @@ set -eu
 # Fixes (to make onsgmls validate HTML 5, or use different validator
 # than onsgmls) welcome.
 
+# check if onsgmls is available and fail otherwise
+which onsgmls
+
 find current_output/html/ -iname '*.html' \
   -exec sh -c 'echo ---- Validating {}' ';' \
   -exec onsgmls -s -e -g '{}' ';'
--- a/tests/scripts/validate_simplexml.sh
+++ b/tests/scripts/validate_simplexml.sh
@@ -7,6 +7,9 @@ set -eu
 #
 # See ../README for comments.
 
+# check if xmllint is available and fail otherwise
+which xmllint
+
 find current_output/simplexml/ -iname '*.xml' \
   -exec sh -c 'echo ---- Validating {}' ';' \
   -exec xmllint --noout '{}' ';'
